ETS2 – The Orange Liner Scania S (1.34.x)

Works on 1.31.x and 1.34.x

For high cab only

You need:
Scania Accessory Pack by Mohegan13
Scania Accessory Pack – MG Addon
Supported game versions: ETS2 – (1.34.x)

Authors: ALEXD

You may also like...

Leave a Reply

Your email address will not be published.